Download it now!
Bug 89642 - ODF_text_reference_v3.odt crashes master
Summary: ODF_text_reference_v3.odt crashes master
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Stephan Bergmann
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-02-25 09:52 UTC by Jan Holesovsky
Modified: 2015-03-13 21:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
The file crashing the import. (47.95 KB, application/vnd.oasis.opendocument.text)
2015-02-25 09:52 UTC, Jan Holesovsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2015-02-25 09:52:55 UTC
Created attachment 113666 [details]
The file crashing the import.

ODF_text_reference_v3.odt from http://katana.oooninja.com/w/reference_sample_documents crashes master (77debb673e61340dfc3ddc63b6d72731c091c210).

#6  0x00007ffff6bc5fa2 in __cxa_call_unexpected () from /usr/lib64/libstdc++.so.6
#7  0x00007fffc86b879c in SvXMLImport::startElement (this=0x7fffaf97f2c0, rName="form:formatted-text", 
    xAttrList=uno::Reference to (sax_expatwrap::AttributeList *) 0x7fffaf20ba40) at /local/libreoffice/master/xmloff/source/core/xmlimp.cxx:634
#8  0x00007fffb617306f in (anonymous namespace)::SaxExpatParser_Impl::callbackStartElement (pvThis=0x14bb750, pwName=0x15c7e40 "form:formatted-text", awAttributes=0x14f9090)
    at /local/libreoffice/master/sax/source/expatwrap/sax_expat.cxx:784
#9  0x00007fffb6171364 in (anonymous namespace)::call_callbackStartElement (userData=0x14bb750, name=0x15c7e40 "form:formatted-text", atts=0x14f9090)
    at /local/libreoffice/master/sax/source/expatwrap/sax_expat.cxx:281
#10 0x00007fffb61a4d73 in doContent (parser=0x15859d0, startTagLevel=0, enc=0x7fffb63f6920 <utf8_encoding>, 
    s=0x152ac4c "<form:formatted-text form:name=\"FormattedField\" form:control-implementation=\"ooo:com.sun.star.form.component.FormattedField\" form:id=\"control3\" form:current
-value=\"39459\" form:convert-empty-to-null=\"t"..., end=0x152baa3 "", nextPtr=0x1585a00, haveMore=1 '\001')
    at /local/libreoffice/master/workdir/UnpackedTarball/expat/lib/xmlparse.c:2443

Attaching the file too.
Comment 1 Jan Holesovsky 2015-02-25 09:57:37 UTC
[added regression tag - seems to work for me with 4.2 and 4.3, bibisect appreciated!]
Comment 2 Robinson Tryon (qubit) 2015-03-05 16:43:57 UTC
Whiteboard -> bibisectRequest
Comment 3 Michael Stahl (CIB) 2015-03-13 21:25:48 UTC
was fixed by:

commit fa6c09877ed6502593de2f73541d91f31c8feea1
Author:     Stephan Bergmann <sbergman@redhat.com>
AuthorDate: Fri Feb 27 13:25:42 2015 +0100

    Fix OFormattedFieldWrapper[_ForcedFormatted] instance creation
    
    broken with 5d05f7ed8582193c39e29b7dc16767fb850e9f28 "forms: use constructor
    feature for form modules" and follow-up misguided clean up